std::promise< void > Class Reference
Concurrency » Futures

## Public Member Functions

template<typename _Allocator >
| promise (allocator_arg_t, const _Allocator &, promise &&__rhs)
template<typename _Allocator >
| promise (allocator_arg_t, const _Allocator &__a)
| promise (const promise &)=delete
| promise (promise &&__rhs) noexcept
future< void > | get_future ()
promise & | operator= (const promise &)=delete
promise & | operator= (promise &&__rhs) noexcept
void | set_exception (exception_ptr __p)
void | set_exception_at_thread_exit (exception_ptr __p)
void | set_value ()
void | set_value_at_thread_exit ()
void | swap (promise &__rhs) noexcept

## Friends

template<typename , typename >
class | _State::_Setter

## Detailed Description

Explicit specialization for promise<void>

Definition at line 1244 of file future.

The documentation for this class was generated from the following file:

- future